# Class SIPUSH

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.SIPUSH

All Implemented Interfaces:
  `Cloneable, ConstantPushInstruction, PushInstruction, StackProducer, TypedInstruction`

public class SIPUSH extends Instruction implements ConstantPushInstruction
SIPUSH - Push short

    Stack: ... -> ..., value

- ## Field Summary

  ### Fields inherited from class Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SIPUSH(short b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Call corresponding visitor method(s).
  `void`
  `dump(DataOutputStream out)`
  Dump instruction as short code to stream out.
  `Type`
  `getType(ConstantPoolGen cp)`
  `Number`
  `getValue()`
  `protected void`
  `initFromFile(ByteSequence bytes, boolean wide)`
  Reads needed data (for example index) from file.
  `String`
  `toString(boolean verbose)`
  Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

  ### Methods inherited from class Instruction

  `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface StackProducer

  `produceStack`

- ## Constructor Details

  - ### SIPUSH

    public SIPUSH(short b)

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
    Specified by:
      `accept` in class `Instruction`
    Parameters:
      `v` - Visitor object

  - ### dump

    public void dump(DataOutputStream out) throws IOException
    Dump instruction as short code to stream out.
    Overrides:
      `dump` in class `Instruction`
    Parameters:
      `out` - Output stream
    Throws:
      `IOException` - Thrown when an I/O exception of some sort has occurred.

  - ### getType

    public Type getType(ConstantPoolGen cp)
    Specified by:
      `getType` in interface `TypedInstruction`
    Returns:
      Type.SHORT

  - ### getValue

    public Number getValue()
    Specified by:
      `getValue` in interface `ConstantPushInstruction`

  - ### initFromFile

    protected void initFromFile(ByteSequence bytes, boolean wide) throws IOException
    Reads needed data (for example index) from file.
    Overrides:
      `initFromFile` in class `Instruction`
    Parameters:
      `bytes` - byte sequence to read from
      `wide` - "wide" instruction flag
    Throws:
      `IOException` - may be thrown if the implementation needs to read data from the file

  - ### toString

    public String toString(boolean verbose)
    Description copied from class: `Instruction`
    Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"
    Overrides:
      `toString` in class `Instruction`
    Parameters:
      `verbose` - long/short format switch
    Returns:
      mnemonic for instruction